This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 800000 - CVE-2012-1098 rubygem-actionpack, rubygem-activesupport: XSS in SafeBuffer#[] (unescaped safe buffers can be marked as safe) [fedora-16]
CVE-2012-1098 rubygem-actionpack, rubygem-activesupport: XSS in SafeBuffer#[]...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-activesupport (Show other bugs)
16
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-1098
  Show dependency treegraph
 
Reported: 2012-03-05 10:24 EST by Jan Lieskovsky
Modified: 2012-03-17 19:40 EDT (History)
7 users (show)

See Also:
Fixed In Version: rubygem-actionpack-3.0.10-3.fc16
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-17 19:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-05 10:24:51 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=799275

fedora-16 tracking bug for rubygem-activesupport: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2012-03-06 01:32:26 EST
rubygem-actionpack-3.0.10-3.fc16,rubygem-activesupport-3.0.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-actionpack-3.0.10-3.fc16,rubygem-activesupport-3.0.10-2.fc16
Comment 2 Lukas Zapletal 2012-03-06 10:09:12 EST
Congrats on 800000 bug! :-)
Comment 3 Bohuslav "Slavek" Kabrda 2012-03-07 01:25:30 EST
Thanks. I'm not sure I even deserve it :)
Comment 4 Fedora Update System 2012-03-08 00:00:26 EST
Package rubygem-actionpack-3.0.10-3.fc16, rubygem-activesupport-3.0.10-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-actionpack-3.0.10-3.fc16 rubygem-activesupport-3.0.10-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3321/rubygem-actionpack-3.0.10-3.fc16,rubygem-activesupport-3.0.10-2.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-17 19:40:40 EDT
rubygem-actionpack-3.0.10-3.fc16, rubygem-activesupport-3.0.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.